package electrosphere.game.data.item.type;

import java.util.List;

import electrosphere.game.data.collidable.HitboxData;

/**
 * Data about a weapon
 */
public class WeaponData {
    
    //the class of weapon (ie sword, bow, etc)
    String weaponClass;
    //the hitboxes associated with the weapon
    List<HitboxData> hitboxes;
    //the damage the weapon does
    int damage;
    //the model for the projectile
    String projectileModel;

    /**
     * Gets the weapon class
     * @return the weapon class
     */
    public String getWeaponClass(){
        return weaponClass;
    }

    /**
     * Gets the list of hitbox data
     * @return the list of hitbox data
     */
    public List<HitboxData> getHitboxes(){
        return hitboxes;
    }

    /**
     * Gets the projectile model
     * @return the projectile model
     */
    public String getProjectileModel(){
        return projectileModel;
    }

    /**
     * Gets the damage dealt
     * @return the damage dealt
     */
    public int getDamage(){
        return damage;
    }

}
